Services
Documentation OpenAPI
Services / GET /v1/services/{serviceId}
Retrieve a service
Fetch one orderable product before creating an order.
Last updated on
AuthorizationBearer <token>
Preferred customer API authentication. Create a personal or organization key from /my-account?tab=settings, then send Authorization: Bearer <api_key>. Query-string API keys are not supported.
In: header
Path Parameters
serviceId*string
Identifier of an orderable store product exposed as an API service.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/services/string"{ "id": "prod_123", "object": "service", "productId": "prod_123", "name": "Instagram Followers", "slug": "instagram-followers", "description": "Audience growth service for Instagram profiles.", "status": "published", "stockStatus": "in_stock", "amount": 250000, "currency": "NGN", "minQuantity": 100, "maxQuantity": 10000, "stepQuantity": 100, "sourceSystem": "storefront"}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null }, "requestId": "string" }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null }, "requestId": "string" }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null }, "requestId": "string" }}